/* bitarr.h */

/*
   Prototypes for bitarr.c
*/

elem_t ba_init(void);
bit *ba_new(const elem_t nelems);
void ba_assign(bit arr[], elem_t elem, const bool value);
bool ba_value(const bit arr[], const elem_t elem);
void ba_toggle(bit arr[], const elem_t elem);
void ba_all_assign(bit arr[], const elem_t lsize, const bool value);
unsigned long ba_count(const bit arr[], const elem_t size);
char * ba_b2str(const bit arr[], const elem_t size, char * dest);
bool ba_print(const bit arr[], const elem_t size, FILE * dest);

