/* transform.h */
typedef enum {WHEN_NEVER  = 0U,                   \
              WHEN_TEST   = 1U, TRANS_TEST   = 1U,\
              WHEN_ALWAYS = 2U, TRANS_BEFORE = 2U } when_type;

/* transform.c prototypes */
void tran_choose(const char product[], const char version[],
                 const string menutitle);
void when_trans_menu(const char product[], const char version[], 
                 const string menutitle);
TransFuncType * transform(when_type current_step);
bool tran_set(const unsigned short new_transform);
string tran_name(void);
string when_descrip(void);
bool never_transform(void);
bool always_transform(void);
